### Method

# Ide Settings get_int

#### Declaration

    gint
    ide_settings_get_int (
      IdeSettings* self,
      const gchar* key
    )

#### Description

No description available.

#### Parameters

`key` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gint`
| No description available.